Skip to main content
GET
/
mave
/
threads
List Mave threads
curl --request GET \
  --url https://app.mavera.io/api/v1/mave/threads \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "mave_thread",
      "title": "<string>",
      "current_phase": "TRIAGE",
      "complexity": "SIMPLE",
      "credits_used": 123,
      "workspace_id": "<string>",
      "message_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Query Parameters

workspace_id
string

Filter by workspace

Search by title

limit
integer
default:50

Maximum number of results (default 50, max 100)

Required range: x <= 100
cursor
string

Cursor for pagination

Response

List of threads

object
enum<string>
Available options:
list
data
object[]
has_more
boolean

Whether there are more results available

next_cursor
string | null

Cursor for fetching the next page